class: GalaxyWorkflow
doc: 'From a valid pair collection: 1) Filter the valid pair file for MAPQ and capture
  region 2) uses cooler to make a cool file with 40kb and 10kb raw matrices, balance
  it and output only the region of interest.'
label: Hi-C_fromValidPairAndChrSizeTo10kbAnd5kbMatrixInHoxDRegion_fromCollection
tags:
- Hi-C
uuid: 17a69b67-c8e5-49db-be35-ee22ea57a841
inputs:
  chromosome sizes:
    optional: false
    position:
      bottom: 495.1999969482422
      height: 82.19999694824219
      left: -409.5
      right: -209.5
      top: 413
      width: 200
      x: -409.5
      y: 413
    type: data
  validPairs in juicebox format:
    optional: false
    position:
      bottom: 677.6999969482422
      height: 82.19999694824219
      left: -224
      right: -24
      top: 595.5
      width: 200
      x: -224
      y: 595.5
    type: collection
outputs:
  _anonymous_output_1:
    outputSource: '6'
  _anonymous_output_2:
    outputSource: '10'
  _anonymous_output_3:
    outputSource: '11'
steps:
- tool_shed_repository:
    changeset_revision: 1b9d5647b58e
    name: cooler
    owner: lldelisle
    tool_shed: testtoolshed.g2.bx.psu.edu
  tool_id: testtoolshed.g2.bx.psu.edu/repos/lldelisle/cooler/cooler_makebins/0.0.1
  tool_version: 0.0.1
  position:
    bottom: 289.1999969482422
    height: 195.1999969482422
    left: 0.5
    right: 200.5
    top: 94
    width: 200
    x: 0.5
    y: 94
  tool_state:
    binsize: '5'
    chromosomeSize:
      __class__: RuntimeValue
  in:
    chromosomeSize:
      source: chromosome sizes
  out:
    output:
      hide: true
      rename: 5kb bins
- tool_shed_repository:
    changeset_revision: 1b9d5647b58e
    name: cooler
    owner: lldelisle
    tool_shed: testtoolshed.g2.bx.psu.edu
  tool_id: testtoolshed.g2.bx.psu.edu/repos/lldelisle/cooler/cooler_makebins/0.0.1
  tool_version: 0.0.1
  position:
    bottom: 525.1999969482422
    height: 195.1999969482422
    left: 8.5
    right: 208.5
    top: 330
    width: 200
    x: 8.5
    y: 330
  tool_state:
    binsize: '10000'
    chromosomeSize:
      __class__: ConnectedValue
  in:
    chromosomeSize:
      source: chromosome sizes
  out:
    output:
      hide: true
      rename: 10kb bins
- tool_id: Filter1
  tool_version: 1.1.1
  position:
    bottom: 711.1999969482422
    height: 93.19999694824219
    left: 23.5
    right: 223.5
    top: 618
    width: 200
    x: 23.5
    y: 618
  tool_state:
    cond: c10>=30 and c11>=30
    header_lines: '0'
    input:
      __class__: ConnectedValue
  in:
    input:
      source: validPairs in juicebox format
  out:
    out_file1:
      hide: true
      rename: both pairs above MAPQ30
- tool_id: Filter1
  tool_version: 1.1.1
  position:
    bottom: 733.1999969482422
    height: 93.19999694824219
    left: 249.5
    right: 449.5
    top: 640
    width: 200
    x: 249.5
    y: 640
  tool_state:
    cond: (c3=='chr2' and c4<77000000 and c4>72402000) and (c7=="chr2" and c8<77000000
      and c8>72402000)
    header_lines: '0'
    input:
      __class__: ConnectedValue
  in:
    input:
      source: 4/out_file1
  out:
    out_file1:
      hide: true
      rename: both pairs MAPQ30 and in captured region
- tool_shed_repository:
    changeset_revision: 1b9d5647b58e
    name: cooler
    owner: lldelisle
    tool_shed: testtoolshed.g2.bx.psu.edu
  tool_id: testtoolshed.g2.bx.psu.edu/repos/lldelisle/cooler/cooler_csort_pairix/0.0.1
  tool_version: 0.0.1
  position:
    bottom: 903.6000061035156
    height: 327.6000061035156
    left: 512.5
    right: 712.5
    top: 576
    width: 200
    x: 512.5
    y: 576
  tool_state:
    c1: '3'
    c2: '7'
    chromosomeSize:
      __class__: ConnectedValue
    input:
      __class__: ConnectedValue
    p1: '4'
    p2: '8'
  in:
    chromosomeSize:
      source: chromosome sizes
    input:
      source: 5/out_file1
  out:
    output:
      rename: tabix files
- tool_id: wc_gnu
  tool_version: 1.0.0
  position:
    bottom: 1003.6000061035156
    height: 113.60000610351562
    left: 519.5
    right: 719.5
    top: 890
    width: 200
    x: 519.5
    y: 890
  tool_state:
    include_header: 'false'
    input1:
      __class__: ConnectedValue
    options:
    - lines
  in:
    input1:
      source: 5/out_file1
  out:
    out_file1:
      hide: true
- tool_shed_repository:
    changeset_revision: 1b9d5647b58e
    name: cooler
    owner: lldelisle
    tool_shed: testtoolshed.g2.bx.psu.edu
  tool_id: testtoolshed.g2.bx.psu.edu/repos/lldelisle/cooler/cooler_cload_pairix/0.0.1
  tool_version: 0.0.1
  position:
    bottom: 495.8000030517578
    height: 184.8000030517578
    left: 909.5
    right: 1109.5
    top: 311
    width: 200
    x: 909.5
    y: 311
  tool_state:
    assembly: mm10
    c2: '7'
    input_bed:
      __class__: RuntimeValue
    input_pairs:
      __class__: RuntimeValue
    p2: '8'
  in:
    input_bed:
      source: '2'
    input_pairs:
      source: '6'
  out:
    output:
      hide: true
      rename: raw cool file 5kb
- tool_shed_repository:
    changeset_revision: 1b9d5647b58e
    name: cooler
    owner: lldelisle
    tool_shed: testtoolshed.g2.bx.psu.edu
  tool_id: testtoolshed.g2.bx.psu.edu/repos/lldelisle/cooler/cooler_cload_pairix/0.0.1
  tool_version: 0.0.1
  position:
    bottom: 716.8000030517578
    height: 184.8000030517578
    left: 888.5
    right: 1088.5
    top: 532
    width: 200
    x: 888.5
    y: 532
  tool_state:
    assembly: mm10
    c2: '7'
    input_bed:
      __class__: ConnectedValue
    input_pairs:
      __class__: ConnectedValue
    p2: '8'
  in:
    input_bed:
      source: '3'
    input_pairs:
      source: '6'
  out:
    output:
      hide: true
      rename: raw cool file 10kb
- tool_shed_repository:
    changeset_revision: 1b9d5647b58e
    name: cooler
    owner: lldelisle
    tool_shed: testtoolshed.g2.bx.psu.edu
  tool_id: testtoolshed.g2.bx.psu.edu/repos/lldelisle/cooler/cooler_balance/0.0.1
  tool_version: 0.0.1
  position:
    bottom: 487.6000061035156
    height: 113.60000610351562
    left: 1155.5
    right: 1355.5
    top: 374
    width: 200
    x: 1155.5
    y: 374
  tool_state:
    cisonly: 'true'
    ignorediags: '2'
    input:
      __class__: RuntimeValue
    madmax: '5'
    maxiters: '200'
    mincount: '0'
    minnnz: '10'
    provideR:
      __current_case__: 1
      provideReg: 'false'
    tol: 1e-05
  in:
    input:
      source: '8'
  out:
    output:
      rename: balanced cool file 5kb
- tool_shed_repository:
    changeset_revision: 1b9d5647b58e
    name: cooler
    owner: lldelisle
    tool_shed: testtoolshed.g2.bx.psu.edu
  tool_id: testtoolshed.g2.bx.psu.edu/repos/lldelisle/cooler/cooler_balance/0.0.1
  tool_version: 0.0.1
  position:
    bottom: 618.6000061035156
    height: 113.60000610351562
    left: 1155.5
    right: 1355.5
    top: 505
    width: 200
    x: 1155.5
    y: 505
  tool_state:
    cisonly: 'true'
    ignorediags: '2'
    input:
      __class__: ConnectedValue
    madmax: '5'
    maxiters: '200'
    mincount: '0'
    minnnz: '10'
    provideR:
      __current_case__: 1
      provideReg: 'false'
    tol: 1e-05
  in:
    input:
      source: '9'
  out:
    output:
      rename: balanced cool file 10kb
